> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Material Request Linked Purchase Orders



## OpenAPI

````yaml /api/openapi-cutmake.json get /material-requests/{mr_id}/linked-purchase-orders
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /material-requests/{mr_id}/linked-purchase-orders:
    get:
      tags:
        - Material Requests
      summary: Get Material Request Linked Purchase Orders
      operationId: >-
        get_material_request_linked_purchase_orders_material_requests__mr_id__linked_purchase_orders_get
      parameters:
        - name: mr_id
          in: path
          required: true
          schema:
            type: string
            title: Mr Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MaterialRequestLinkedPurchaseOrder'
                title: >-
                  Response Get Material Request Linked Purchase Orders Material
                  Requests  Mr Id  Linked Purchase Orders Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    MaterialRequestLinkedPurchaseOrder:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        supplierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Suppliername
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        total:
          anyOf:
            - type: number
            - type: 'null'
          title: Total
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        linkedMrId:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedmrid
      type: object
      required:
        - id
      title: MaterialRequestLinkedPurchaseOrder
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````